Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: Utility
Created: 2008-07-26 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: F3_FLOW3_Utility_EnvironmentTest produces an error on WAMP installations
Description

Running the FLOW3 Testrunner for "F3_FLOW3_Utility_EnvironmentTest" results raises one failure:
getPathToTemporaryDirectoryReturnsPathWithTrailingSlash:

[...]\flow3\Packages\PHPUnit\Resources\PHP\PHPUnit\Framework\Assert.php:1524
The temporary path did not end with slash (as in DIRECTORY_SEPARATOR). Failed asserting that <string:/> is equal to
<string:\>. The temporary path did not end with slash (as in DIRECTORY_SEPARATOR).

Associated revisions
Revision 51324b68 - 2008-08-04 16:05 - Bastian Waidelich

    -  FLOW3: (Cache) It's not always possible to check whether a file or directory is writable or not on Windows. Solution for now: Skip
setCacheDirectoryThrowsExceptionOnNonWritableDirectory() in Windows environments. Fixes #918.
    -  FLOW3: (Utility) getPathToTemporaryDirectoryReturnsPathWithTrailingSlash() checked whether temp-directory ends with a trailing slash as in
DIRECTORY_SEPARATOR. Replaced this constant by a forward slash in the test now, as we're only working with forward slashes in FLOW3. Fixes
#1134.

History
#1 - 2008-08-04 15:58 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#2 - 2008-08-04 16:09 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1073.
